#include <iostream>
#include <vector>
#include <cmath>
using namespace std;
int main(){
    const size_t SCREEN_WIDTH = 80;
    const size_t MAX_ASTERISK = SCREEN_WIDTH - 4;
    size_t n,h;
    cerr<<"Enter number count ";
    cin>>n;
    cerr<<"Enter bin count ";
    cin>>h;
    vector <double> num(n);
    vector <size_t> bins(h);
    cerr<<"Enter massive elements ";
    for (size_t i=0;i<n;i++){
        cin>> num[i];
    }
    double minn = num[0];
    double maxx = num[0];
    for (double x : num) {
        if (x < minn) {
            minn = x;
        }
        else if (x > maxx) {
            maxx = x;
        }
    }
    double l=(maxx - minn) / h;
    for (size_t i = 0; i < n; i++) {
        bool found = false;
        for (size_t j = 0; (j < h - 1) && !found; j++) {
            auto lo = minn + j * l;
            auto hi = minn + (j + 1) * l;
            if ((lo <= num[i]) && (num[i] < hi)) {
                bins[j]++;
                found = true;
            }
        }
        if (!found) {
            bins[h - 1]++;
        }
    }
    size_t max_count = bins[0];
    for (size_t i = 0; i < h; i++) {
        if (bins[i]>max_count) {
            max_count = bins[i];
        }
    }
    vector<size_t> height(h);
    for (size_t i = 0; i < h; i++) {
        if (max_count > MAX_ASTERISK) {
            height[i] = round(MAX_ASTERISK * (static_cast<double>(bins[i]) / max_count));
        } else {
            height[i]=bins[i];
        }
    }
    for (size_t i=0;i<h;i++){
        if(bins[i]<1000 && bins[i]>=100){
            cout<< bins[i]<< "|";
            for (size_t j=0;j<height[i];j++){
                cout <<"*";
            }
            cout << endl;
        }
        if(bins[i]<100 && bins[i]>=10){
            cout<<" "<< bins[i]<< "|";
            for (size_t j=0;j<height[i];j++){
                cout <<"*";
            }
            cout << endl;
        }
        if(bins[i]<10){
            cout<<"  "<< bins[i]<< "|";
            for (size_t j=0;j<height[i];j++){
                cout <<"*";
            }
            cout << endl;
        }
    }
}
